Skip to main content
PATCH
/
v3
/
user-access-keys
/
{key_id}
Update an API key.
curl --request PATCH \
  --url https://api.example.com/v3/user-access-keys/{key_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "key_id": "<string>",
    "name": "<string>",
    "key_suffix": "abc123",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "last_used_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

key_id
string
required

The public API key identifier (e.g. fkh_a1b2c3d4). Used for lookups, deletion, and updates.

Public API key identifier (e.g. fkh_a1b2c3D4). Composed of the prefix (e.g. "fkh_") followed by a base64url-encoded random suffix containing uppercase and lowercase letters, digits, hyphens, and underscores. Used for lookups, deletion, and updates.

Required string length: 12 - 16
Pattern: ^[a-z0-9]+_[A-Za-z0-9_-]+$

Body

application/json

At least one field must be provided. Only the fields included in the request are updated.

name
string

User-assigned label for the API key. Must be unique per user per organization. Must start with a letter (A-Z or a-z). After that, letters, digits, spaces, hyphens, and underscores are allowed. Leading and trailing whitespace is stripped by the server before saving.

Required string length: 1 - 128
Pattern: ^[A-Za-z][A-Za-z0-9_ -]*$
expires_at
string<date-time>

New expiration timestamp for the API key. Must be a future timestamp (greater than current time) and cannot exceed 100 years from now.

Response

API key updated successfully.

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

API key metadata. Never includes secrets or hashes.